/**********************INSTALL ELOQUENT in OS/2************************/
arg TESTMODE
'@echo off'
/*Load up the REXX code*/
call RxFuncAdd 'SysLoadFuncs','REXXUTIL','SysLoadFuncs'
call SysLoadFuncs

/*Establish the fully qualified file used for communication*/
COM_FILE='c:\eloquent.txt'

/*Ensure the ELOQUENT.TXT file does NOT exist, if NOT in testmode*/
if TESTMODE='' then rc=SysFileDelete(COM_FILE)

/*Establish where I am*/
parse upper source iam
SOURCE_DRIVE=substr(iam,pos(':',iam) -1,2) /*Learn where I am*/
if pos('\',iam) = lastpos('\',iam) then MY_DIR='\' ; else MY_DIR=substr(iam,pos('\',iam),lastpos('\',iam) - pos('\',iam))'\'

/*Establish where all other OS2 install files are.  If in the same directory
  as this CMD file, then SOURCE_DIR=MY_DIR.  Otherwise, set SOURCE_DIR to
  the OS2 directory on the CD.  For example, SOURCE_DIR='\OS2\' */
SOURCE_DIR=MY_DIR

/*Run the Eloquent SETUP program if NOT in testmode*/
if TESTMODE='' then 'call 'SOURCE_DRIVE'\setup.exe -os2'

/*Ensure the communication file now exists and contains a valid path*/
rc=SysFileTree(COM_FILE,'X','FO')
if X.0=0 then exit /*The file was not created, exit the install*/
z=stream(COM_FILE,'C','OPEN READ')
INLINE = linein(COM_FILE)
if substr(INLINE,1,1)<>'[' then exit /*First line not correct*/
INLINE = linein(COM_FILE)
if substr(INLINE,4,1)<>'=' then exit /*Second line not correct*/
z=stream(COM_FILE,'C','CLOSE')

/*The communication file is no longer needed.  Delete it if NOT in testmode.*/
if TESTMODE='' then rc=SysFileDelete(COM_FILE)

/*Establish the base ELOQUENT path*/
if length(INLINE)=7 then ELOQ_PTH=substr(INLINE,5) ; else ELOQ_PTH=substr(INLINE,5)'\'

/*Create an OS2 specific directory under the eloquent directory*/
ELOQOS2_PTH=ELOQ_PTH'ELOQOS2'
rc=SysMkDir(ELOQOS2_PTH)
if rc<>0 & rc<>5 then do /*Could not create the OS/2 directory*/
  'cls'
  say ' '
  say ' '
  say 'Unable to create the OS/2 specific directory.'
  say 'The installation cannot continue.'
  exit
end

/*Copy the required OS/2 files to the eloquent OS/2 directory*/
'copy 'SOURCE_DRIVE||SOURCE_DIR'os2read.me 'ELOQOS2_PTH'>NUL'
'copy 'SOURCE_DRIVE||SOURCE_DIR'eloqdel.cmd 'ELOQOS2_PTH'>NUL'
'copy 'SOURCE_DRIVE||SOURCE_DIR'pmmsgbox.exe 'ELOQOS2_PTH'>NUL'

/*Add the folder to the desktop (it might already be there)*/
rc=SysCreateObject('WPFolder','Eloquent','<WP_DESKTOP>','OBJECTID=<ELOQUENT_FLDR>')
rc=SysSetObjectData('<ELOQUENT_FLDR>','ALWAYSSORT=YES')

/*Add the module delete icon to the folder*/
SETUP='OBJECTID=<ELOQUENT_DEL>;PROGTYPE=PM;EXENAME='ELOQOS2_PTH'\eloqdel.cmd;ICONFILE='SOURCE_DRIVE||SOURCE_DIR'eloqdel.ico;PARAMETERS='ELOQ_PTH
rc=SysCreateObject('WPProgram','Eloquent^Delete','<ELOQUENT_FLDR>',SETUP,'R')

/*Add the OS/2 read.me icon to the folder*/
SETUP='OBJECTID=<ELOQ_OS2_READ>;PROGTYPE=PM;EXENAME=E.EXE;ICONFILE='SOURCE_DRIVE||SOURCE_DIR'os2read.ico;PARAMETERS='ELOQOS2_PTH'\os2read.me'
rc=SysCreateObject('WPProgram','Read Me','<ELOQUENT_FLDR>',SETUP,'R')

/*Add the Eloquent program to the folder*/
setup='OBJECTID=<ELOQUENT_PROG>;EXENAME='ElOQ_PTH'PLAYER16\ELOQUENT.EXE;PROGTYPE=PROG_31_ENH;SET IDLE_SENSITIVITY=100;SET DPMI_MEMORY_LIMIT=64'
rc=SysCreateObject('WPProgram','Eloquent','<ELOQUENT_FLDR>',setup,'R')

'cls'
say ' '
say ' '
say 'Installation complete.  Open the Eloquent folder and either'
say 'double-click the Read Me icon for more information, or'
say 'double-click the Eloquent icon to start the program.'
